{
  "name": "@cern/mrest",
  "version": "1.0.1",
  "description": "MongoDB like REST API",
  "main": "src/index.js",
  "types": "src/index.d.ts",
  "scripts": {
    "help": "npm-scripts-info",
    "info": "run-s help",
    "test": "mocha test",
    "test:coverage": "nyc -n src -a -r lcov -r text mocha test",
    "test:ci": "run-s test:coverage",
    "test:watch": "run-s 'watch -- run-s test'",
    "lint": "lint",
    "lint:watch": "run-s 'watch -- run-s lint'",
    "lint:ci:builder": "lint --builder",
    "lint:ci:report": "mkci-lint-report",
    "tc:ci:builder": "tc --builder",
    "tc:ci:report": "mkci-tc-report",
    "stub": "node ./test/data/ntof/stub",
    "watch": "nodemon -w src -w test -x "
  },
  "scripts-info": {
    "help": "display npm scripts help",
    "info": "alias for 'help'",
    "test": "run unit-tests",
    "lint": "run linting tools"
  },
  "repository": {
    "type": "git",
    "url": "https://:@gitlab.cern.ch:8443/mro/common/www/mrest.js.git"
  },
  "keywords": [
    "mongodb",
    "rest",
    "knex"
  ],
  "author": "Sylvain Fargier <sylvain.fargier@cern.ch>",
  "license": "BSD-2-Clause",
  "dependencies": {
    "@cern/prom": "git+https://gitlab.cern.ch/mro/common/www/prom.js.git",
    "body-parser": "^1.20.1",
    "knex": "^2.3.0",
    "lodash": "^4.17.21",
    "npm-check-updates": "^16.4.1",
    "npm-run-all": "^4.1.5",
    "swagger-jsdoc": "^6.2.5",
    "swagger-ui-express": "^4.6.0",
    "tar": "^6.1.12"
  },
  "devDependencies": {
    "@cern/ci-utils": "^1.0.0",
    "@tsconfig/node16": "^1.0.3",
    "@types/chai": "^4.3.4",
    "@types/debug": "^4.1.7",
    "@types/dirty-chai": "^2.0.2",
    "@types/express": "^4.17.14",
    "@types/lodash": "^4.14.189",
    "@types/mocha": "^10.0.0",
    "@types/superagent": "^4.1.15",
    "@types/swagger-jsdoc": "^6.0.1",
    "@types/swagger-ui-express": "^4.1.3",
    "@types/tmp": "^0.2.3",
    "@typescript-eslint/eslint-plugin": "^5.43.0",
    "@typescript-eslint/parser": "^5.43.0",
    "axios": "^1.6.7",
    "chai": "^4.3.7",
    "dirty-chai": "^2.0.1",
    "express": "^4.18.2",
    "mocha": "^10.1.0",
    "nodemon": "^2.0.20",
    "npm-scripts-info": "^0.3.9",
    "nyc": "^15.1.0",
    "sqlite3": "^5.1.2",
    "superagent": "^8.0.3",
    "tmp": "^0.2.1",
    "tsd": "^0.24.1",
    "typescript": "^4.9.3"
  }
}
